Package ghidra.util.graph

# Class AddableLongDoubleHashtable

java.lang.Object
ghidra.util.datastruct.LongDoubleHashtable
ghidra.util.graph.AddableLongDoubleHashtable

All Implemented Interfaces:
  `Serializable`

@Deprecated(forRemoval=true, since="10.2") public class AddableLongDoubleHashtable extends LongDoubleHashtable
Deprecated, for removal: This API element is subject to removal in a future version.
This class modifies the behavior of LongDoubleHashtable. May add to the value stored with the key rather than replacing the value.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddableLongDoubleHashtable()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `AddableLongDoubleHashtable(int capacity)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructor creates a table with an initial given capacity.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(long key, double value)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Adds the value to the stored value rather than replacing it.

  ### Methods inherited from class ghidra.util.datastruct.LongDoubleHashtable

  `contains, get, getKeys, put, remove, removeAll, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddableLongDoubleHashtable

    public AddableLongDoubleHashtable()
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### AddableLongDoubleHashtable

    public AddableLongDoubleHashtable(int capacity)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructor creates a table with an initial given capacity. The capacity will be adjusted to the next highest prime in the PRIMES table.

- ## Method Details

  - ### add

    public void add(long key, double value)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Adds the value to the stored value rather than replacing it.